-- CreateTable
CREATE TABLE "microareas" (
    "id" VARCHAR(50) NOT NULL,
    "number" INTEGER NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3),

    CONSTRAINT "microareas_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "localization" (
    "id" VARCHAR(50) NOT NULL,
    "latitude" INTEGER NOT NULL,
    "longitude" INTEGER NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3),
    "microareaId" VARCHAR(50) NOT NULL,

    CONSTRAINT "localization_pkey" PRIMARY KEY ("id")
);

-- AddForeignKey
ALTER TABLE "localization" ADD CONSTRAINT "localization_microareaId_fkey" FOREIGN KEY ("microareaId") REFERENCES "microareas"("id") ON DELETE RESTRICT ON UPDATE CASCADE;
