import { Navigate, Outlet } from "react-router-dom";
import { useAuth } from "../context/AuthContext"

const PrivateRoutes = (): JSX.Element => {
  const { signed } = useAuth();

  return (
    signed ? <Outlet /> : <Navigate to='/' />
  );
}

export { PrivateRoutes };