/*
  Warnings:

  - You are about to drop the column `patientId` on the `health_conditions` table. All the data in the column will be lost.

*/
-- DropForeignKey
ALTER TABLE "health_conditions" DROP CONSTRAINT "health_conditions_patientId_fkey";

-- AlterTable
ALTER TABLE "health_conditions" DROP COLUMN "patientId";

-- CreateTable
CREATE TABLE "patients_on_conditions" (
    "conditionId" VARCHAR(50) NOT NULL,
    "patientId" VARCHAR(50) NOT NULL,
    "assignedAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "assignedBy" VARCHAR(50),

    CONSTRAINT "patients_on_conditions_pkey" PRIMARY KEY ("patientId","conditionId")
);

-- AddForeignKey
ALTER TABLE "patients_on_conditions" ADD CONSTRAINT "patients_on_conditions_conditionId_fkey" FOREIGN KEY ("conditionId") REFERENCES "health_conditions"("id") ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "patients_on_conditions" ADD CONSTRAINT "patients_on_conditions_patientId_fkey" FOREIGN KEY ("patientId") REFERENCES "patients"("id") ON DELETE RESTRICT ON UPDATE CASCADE;
