import { Router } from 'express';
import { ConditionsRouter } from './conditions.routes';
import { MicroareasRouter } from './microareas.routes';
import { PatientsRouter } from './patients.routes';
import { UsersRouter } from './user.routes';

const routes = Router();

// Rotas do Usuário
routes.use('/users', UsersRouter);

// Rotas para condições de saúde
routes.use('/conditions', ConditionsRouter);

// Rotas para microáreas
routes.use('/microareas', MicroareasRouter);

// Rotas para pacientes
routes.use('/patients', PatientsRouter);

export { routes };