interface TitlePageProps {
  title: string;
}

function TitlePage({ title }: TitlePageProps) {
  return (
    <div className="h-20 w-full mb-9 flex justify-center items-center">
      <h2 className="text-xl md:text-3xl">{title}</h2>
    </div>
  );
}

export { TitlePage };