import L from 'leaflet';

interface Coords {
  latitude: number,
  longitude: number,
}

export function transformJSONToCoordsArray(coords: Coords[]): L.LatLngExpression[] {
  let coordsFormatted = [] as L.LatLngExpression[];

  coords.forEach((coord) => {
    coordsFormatted.push([coord.latitude, coord.longitude]);
  });

  return coordsFormatted;
}